"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loader = void 0;

var _loaderUtils = require("loader-utils");

var _update = require("./update.js");

const validModes = ['lazy', 'lazy-once', 'eager', 'weak'];

const loader = function (source, map, meta) {
  const options = (0, _loaderUtils.getOptions)(this);
  const filepath = this.utils.contextify(this.rootContext, this.resourcePath).replace(/^\.\/?/, '');
  const replacerArgs = validModes.includes(options.webpackMode) ? [filepath, options] : [filepath, {
    verbose: options.verbose
  }];
  const replacer = (0, _update.getReplacer)(...replacerArgs);
  this.callback(null, source.replace(_update.dynamicImportsWithoutComments, replacer), map, meta);
};

exports.loader = loader;